ChartDirector Ver 4.1 (PHP Edition Edition)

PolarLayer.getImageCoor

Usage

getImageCoor(dataItem [, offsetX, offsetY ])

Description

Gets the image map coordinates of a data point.
The image map coordinates will be in the following format:
shape="rect" cords="[x1],[y1],[x2],[y2]"
This format is specially designed so that it can easily be included into HTML image maps.
This method should be called only after creating the chart image (eg. using BaseChart.makeChart, BaseChart.makeChart2 or BaseChart.makeSession). The image map cannot be determined without creating the chart image first.

Arguments

Argument | Default | Description
--- | --- | ---
dataItem | (Mandatory) | The data point number for the data point. The first data point is 0, while the nth data point is (n - 1).
offsetX | 0 | An offset to be added to all x coordinates in the image map. This is useful if the current image will be shifted and inserted into another image. In this case, the image map will need to be shifted by the same offset.
offsetY | 0 | An offset to be added to all y coordinates in the image map. See offsetX above for description.

Return Value

A text string representing the image map coordinates of the data points as HTML image map attributes.

© 2006 Advanced Software Engineering Limited. All rights reserved.